Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Juanma Barranquero <[email-masked]>
Date: Thu, 20 Mar 2014 21:37:29 +0100

On Thu, Mar 20, 2014 at 9:25 PM, Robert Marshall <[email-masked]> wrote:

> Having just tried it again (and the exit put desktop-saved-frameset
> back). I'm again getting a single frame with no decorations and no
> minibuffer I'll save that desktop file - it looks to me as if there's
> only one frame now in the desktop file (at least there's only one
> frameset--id which I assume is the determinant)

Yes, one frame:

[frameset
  1
  (21291 19570 712781 440000)
  (desktop . "206")
  "robert@poulenc" nil nil
  ((;; ********** FRAME 1
    ((font-backend xft x)
     (font . "-unknown-Inconsolata-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1")
     (font-parameter . "Inconsolata-12")
     (border-width . 0)
     (internal-border-width . 0)
     (right-divider-width . 0)
     (bottom-divider-width . 0)
     (vertical-scroll-bars . right)
     (foreground-color . "DarkOrchid1")
     (background-color . "mint cream")
     (mouse-color . "#221f1e")
     (border-color . "black")
     (screen-gamma)
     (line-spacing)
     (left-fringe . 8)
     (right-fringe . 8)
     (scroll-bar-foreground . "#221f1e")
     (scroll-bar-background . "grey75")
     (menu-bar-lines . 1)
     (tool-bar-lines . 1)
     (title)
     (wait-for-wm . t)
     (fullscreen)
     (tool-bar-position . top)
     (icon-type . t)
     (auto-raise)
     (auto-lower)
     (cursor-type . box)
     (scroll-bar-width . 16)
     (alpha . 90)
     (horizontal-scroll-bars . t)
     (display-type . color)
     (background-mode . light)
     (cursor-color . "#221f1e")
     (sticky)
     (environment)
     (frameset--id . "DA9D-E03E-DF32-EAB7")
     (frameset--mini t . t)
     (modeline . t)
     (minibuffer . t)
     (unsplittable)
     (icon-name)
     (visibility . icon)
     (display . ":0")
     (explicit-name)
     (height . 30)
     (width . 120))
    ;; ********** WINDOW TREE 1
    ((min-height . 8)
     (min-width . 10)
     (min-height-ignore . 4)
     (min-width-ignore . 6)
     (min-height-safe . 2)
     (min-width-safe . 2)
     (min-pixel-height . 144)
     (min-pixel-width . 80)
     (min-pixel-height-ignore . 72)
     (min-pixel-width-ignore . 48)
     (min-pixel-height-safe . 36)
     (min-pixel-width-safe . 16))
    vc
    (pixel-width . 992)
    (pixel-height . 522)
    (total-width . 124)
    (total-height . 29)
    (normal-height . 1.0)
    (normal-width . 1.0)
    (combination-limit)
    (leaf (pixel-width . 992)
          (pixel-height . 275)
          (total-width . 124)
          (total-height . 15)
          (normal-height . 0.5172413793103448)
          (normal-width . 1.0)
          (buffer "WikipediaApplet.cpp" (selected . t)
                  (hscroll . 0)
                  (fringes 8 8 nil)
                  (margins nil)
                  (scroll-bars 16 2 t nil)
                  (vscroll . 0)
                  (dedicated)
                  (point . 20906)
                  (start . 20858)))
    (leaf (last . t)
          (pixel-width . 992)
          (pixel-height . 247)
          (total-width . 124)
          (total-height . 14)
          (normal-height . 0.4827586206896552)
          (normal-width . 1.0)
          (buffer ".emacs" (selected)
                  (hscroll . 0)
                  (fringes 8 8 nil)
                  (margins nil)
                  (scroll-bars 16 2 t nil)
                  (vscroll . 0)
                  (dedicated)
                  (point . 3612)
                  (start . 3165)))))]

Anyway, I'm having trouble understanding how it happens. Could you
please make a step-by-step description, starting with a minimal .emacs
and detailing everything you do until you see the problem?

TIA,

   J